Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033967
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] I. Performanceminoralways2013-06-26 11:062016-09-16 09:18
ReporterjecharriView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q2.3
StatusclosedFix in branchFixed in SCM revision431084e45ec8
ProjectionnoneETAnoneTarget Version3.0PR16Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033967: Accounting background process has bad performance

DescriptionAccounting background process has bad performance

With huge quantity of documents to be posted the accounting process can take much time.

More than 24 hours
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0024191 closeddmiguelez Accounting background process has bad performance 

-  Notes
(0090014)
hgbot (developer)
2016-09-16 09:17

Repository: erp/backports/3.0PR16Q2.3
Changeset: 431084e45ec8bfcb434cd8d814b46a6464dc9975
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Sep 08 16:36:16 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q2.3/rev/431084e45ec8bfcb434cd8d814b46a6464dc9975 [^]

Fixes Issue 33967. Improves performance for Accounting Background Process.

Adds Index in FIN_FINACC_TRANSACTION Table.
Modifies query in AcctServer_data to properly limit the results returned.
Modifies query in AcctServer_data to remove the order clause.
Persist information about Accounting Schemas in Java code so it is no longer
necessary to access the Database everytime to retrive that information.

---
M src-db/database/model/tables/FIN_FINACC_TRANSACTION.xml
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/erpCommon/ad_forms/AcctSchema.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer_data.xsql
A src/org/openbravo/erpCommon/ad_forms/AcctSchemaStructureProvider.java
---
(0090015)
hgbot (developer)
2016-09-16 09:17

Repository: erp/backports/3.0PR16Q2.3
Changeset: 4c5f9ea32c7481177975b9a4a1840c763e844b01
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 13 18:24:02 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q2.3/rev/4c5f9ea32c7481177975b9a4a1840c763e844b01 [^]

Related to issue 33967: Code review improvements

- Move AcctSchemaStructureProvider.java to same folder as OrganizationStructureProvider.java.
- Rename acctSchemaSP variable to acctSchemaProvider in OBContext.java.
- Remove unused data variable in AcctSchema.java.
- Add commentary to explain why we send limit manually to xsql query in AcctServer.java.
- Do not send numberRegisters parameter to AcctServerData.select as we are already sending the limit.
- Undo changes in AcctServerData.periodOpen method and create new AcctServerData.selectPeriodOpen method to avoid a functional API change.

---
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/erpCommon/ad_forms/AcctSchema.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer_data.xsql
A src/org/openbravo/dal/security/AcctSchemaStructureProvider.java
R src/org/openbravo/erpCommon/ad_forms/AcctSchemaStructureProvider.java
---
(0090016)
hgbot (developer)
2016-09-16 09:17

Repository: erp/backports/3.0PR16Q2.3
Changeset: 2cd9a368c8dabbe6dacd6463378aaea3558339c9
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Sep 14 18:24:10 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q2.3/rev/2cd9a368c8dabbe6dacd6463378aaea3558339c9 [^]

Related to issue 33967: Update copyright

---
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer_data.xsql
---
(0090018)
aferraz (developer)
2016-09-16 09:18

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2016-09-13 12:52 dmiguelez Type design defect => backport
2016-09-13 12:52 dmiguelez Target Version => 3.0PR16Q2.3
2016-09-16 09:17 hgbot Checkin
2016-09-16 09:17 hgbot Note Added: 0090014
2016-09-16 09:17 hgbot Status scheduled => resolved
2016-09-16 09:17 hgbot Resolution open => fixed
2016-09-16 09:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q2.3/rev/431084e45ec8bfcb434cd8d814b46a6464dc9975 [^]
2016-09-16 09:17 hgbot Checkin
2016-09-16 09:17 hgbot Note Added: 0090015
2016-09-16 09:17 hgbot Checkin
2016-09-16 09:17 hgbot Note Added: 0090016
2016-09-16 09:18 aferraz Review Assigned To => aferraz
2016-09-16 09:18 aferraz Note Added: 0090018
2016-09-16 09:18 aferraz Status resolved => closed
2016-09-16 09:18 aferraz Fixed in Version => 3.0PR16Q2.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker